#
# spec file for package sysvinit (Version 2.86)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sysvinit
%define MGVER  0.9.6s
%define PDVER  2.0.2
%define KPVER  2.11
%define SCVER  1.08
%define SIVER  2.86
%define START  0.49
License:        GPL, Other License(s), see package
Group:          System/Base
PreReq:         fileutils
Autoreqprov:    on
Version:        2.86
Release:        21.4
Summary:        SysV-Style init
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         sysvinit-2.86.tar.bz2
Source2:        killproc-2.11.tar.bz2
Source3:        powerd-2.0.2.tar.bz2
Source4:        showconsole-1.08.tar.bz2
Source5:        startpar-0.49.tar.bz2
Source6:        rc.powerd
Patch:          sysvinit-2.86.dif
Patch2:         powerd-2.0.2.dif
#Patch3:        killproc-2.11.dif
Patch4:         swsusp-for-sysvinit-2.86.diff
Patch5:         sysvinit-2.86-sulogin.patch
Patch6:         sysvinit-2.82-startstop.patch
Patch7:         sysvinit-2.85-suse.patch
Patch8:         sysvinit-2.85-paths.patch
Patch10:        showconsole-1.08.dif
Patch11:        sysvinit-2.86-race.patch
Patch12:        sysvinit-2.86-lib64.patch
Patch13:        sysvinit-2.82-multiline.patch
Patch14:        startpar-0.49.dif
Patch15:        sysvinit-2.86-usage-message.patch
Patch16:        sysvinit-2.86-full-time.patch

%description
System V style init programs by Miquel van Smoorenburg that control the
booting and shutdown of your system. These support a number of system
runlevels, each one associated with a specific set of utilities. For
example, the normal system runlevel is 3, which starts a getty on
virtual consoles tty1-tty6. Runlevel 5 starts xdm. Runlevel 0 shuts
down the system. See the individual man pages for inittab, initscript,
halt, init, killproc, killall5, powerd, reboot, runlevel, shutdown, and
telinit for more information.



Authors:
--------
    Miquel van Smoorenburg <miquels@drinkel.ow.nl>
    Florian La Roche <florian@suse.de>
    Werner Fink <werner@suse.de>

%debug_package
%prep
%setup -q -b 2 -b 3 -b 4 -b 5
%patch -P 5  -b .sulogin
%patch -P 6  -b .ststdmn
%patch -P 7  -b .suse
%patch -P 8  -b .paths
%patch -P 11 -b .race
%patch -P 12 -b .lib64
%patch -P 13 -b .multiline
%patch
%patch -P 4  -p 0 -b .swsusp
%patch -P 15 -b .usage
%patch -P 16 -b .fulltime
pushd ../powerd-%{PDVER}
%patch -P 2
popd
pushd ../killproc-%{KPVER}
#%patch -P 3
popd
pushd ../showconsole-%{SCVER}
%patch -P 10
popd
pushd ../startpar-%{START}
%patch -P 14
popd

%_fixowner .

%_fixgroup .
/bin/chmod -Rf a+rX,g-w,o-w .

%build
  RPM_OPT_FLAGS="${RPM_OPT_FLAGS} -D_FILE_OFFSET_BITS=64"
  export RPM_OPT_FLAGS
  CFLAGS="-Wall ${RPM_OPT_FLAGS} -D_GNU_SOURCE -D__NO_STRING_INLINES -pipe"
  CC=gcc
  make -C src CFLAGS="$CFLAGS" CC="$CC"
  pushd contrib/
    $CC $CFLAGS -o start-stop-daemon start-stop-daemon.c
  popd
pushd ../showconsole-%{SCVER}
  make
popd
pushd ../killproc-%{KPVER}
  make INC="-I../showconsole-%{SCVER} -L../showconsole-%{SCVER}"
popd
pushd ../powerd-%{PDVER}
%ifnarch s390 s390x
  ./configure --prefix= --bindir='$(DESTDIR)/sbin' \
	--mandir='$(DESTDIR)%{_mandir}' \
	--sbindir='$(DESTDIR)/sbin'
  make CFLAGS="-I../sysvinit-%{version}/src $CFLAGS"
%endif
popd
pushd ../startpar-%{START}
  make CFLAGS="$CFLAGS"
popd

%install
  rm -rf ${RPM_BUILD_ROOT}
  mkdir -m 755 -p ${RPM_BUILD_ROOT}/bin
  mkdir -m 755 -p ${RPM_BUILD_ROOT}/dev
  mkdir -m 755 -p ${RPM_BUILD_ROOT}/etc
  mkdir -m 755 -p ${RPM_BUILD_ROOT}/sbin
  mkdir -m 755 -p ${RPM_BUILD_ROOT}/usr/bin
  mkdir -m 755 -p ${RPM_BUILD_ROOT}/usr/include
  mkdir -m 755 -p ${RPM_BUILD_ROOT}%{_mandir}/man1
  mkdir -m 755 -p ${RPM_BUILD_ROOT}%{_mandir}/man5
  mkdir -m 755 -p ${RPM_BUILD_ROOT}%{_mandir}/man8
  make install -C src MANPATH=%{_mandir} ROOT=${RPM_BUILD_ROOT}
  install contrib/start-stop-daemon ${RPM_BUILD_ROOT}/sbin/
  test -p     ${RPM_BUILD_ROOT}/dev/initctl || {
    rm -f     ${RPM_BUILD_ROOT}/dev/initctl
    mknod     ${RPM_BUILD_ROOT}/dev/initctl p
    chmod 600 ${RPM_BUILD_ROOT}/dev/initctl
  }
pushd ../showconsole-%{SCVER}
  make install MANPATH=%{_mandir} INSTBINFLAGS="-m 0700" DESTDIR=${RPM_BUILD_ROOT}
popd
pushd ../killproc-%{KPVER}
  make install MANPATH=%{_mandir} INSTBINFLAGS="-m 0755" DESTDIR=${RPM_BUILD_ROOT}
popd
pushd ../powerd-%{PDVER}
%ifnarch s390 s390x
  make install DESTDIR=${RPM_BUILD_ROOT}
  cp README README.powerd
  cp SUPPORTED SUPPORTED.powerd
  cp FAQ FAQ.powerd
  echo '# ' > ${RPM_BUILD_ROOT}/etc/powerd.conf
  echo '# /etc/powerd.conf  for powerd version-2.02' >> ${RPM_BUILD_ROOT}/etc/powerd.conf
  echo '# ' >> ${RPM_BUILD_ROOT}/etc/powerd.conf
  echo '# read manual page of detectups(8) and powerd(8) its self.' >> ${RPM_BUILD_ROOT}/etc/powerd.conf
  echo '# ' >> ${RPM_BUILD_ROOT}/etc/powerd.conf
  mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
  install -m 0744 %{SOURCE6} ${RPM_BUILD_ROOT}/etc/init.d/powerd
%endif
popd
pushd ../startpar-%{START}
  make install DESTDIR=${RPM_BUILD_ROOT}
popd
#
# Remove files not packed:
#
  rm -f ${RPM_BUILD_ROOT}/usr/include/{initreq.h,libblogger.h}
  rm -f ${RPM_BUILD_ROOT}/usr/lib/libblogger.a
  rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/mesg.1*
%ifarch s390 s390x
  rm -f ${RPM_BUILD_ROOT}%{_mandir}/man8/swsusp.8*
  rm -f ${RPM_BUILD_ROOT}%{_mandir}/man8/powerd.8*
  rm -f ${RPM_BUILD_ROOT}%{_mandir}/man8/detectups.8*
  rm -f ${RPM_BUILD_ROOT}/sbin/powerd
  rm -f ${RPM_BUILD_ROOT}/sbin/detectups
  rm -f ${RPM_BUILD_ROOT}/sbin/swsusp
%endif
  chmod 444 ${RPM_BUILD_ROOT}%{_mandir}/man?/*

%post
if test ! -p dev/blog ; then
     mknod -m 0640 dev/blog p
fi
if test -x /sbin/telinit -a -p /dev/initctl -a -f /proc/1/exe -a -d /proc/1/root ; then
     /sbin/telinit u
fi
exit 0

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr (-,root,root,755)
%ifnarch s390 s390x
%config /etc/powerd.conf
%config /etc/init.d/powerd
%doc   ../powerd-%{PDVER}/README.powerd
%doc   ../powerd-%{PDVER}/SUPPORTED.powerd
%doc   ../powerd-%{PDVER}/FAQ.powerd
%doc   ../powerd-%{PDVER}/powerd.conf.monitor
%doc   ../powerd-%{PDVER}/powerd.conf.peer
%doc   README.swsusp
%endif
%doc   contrib/start-stop-daemon.README
# %doc contrib/bootlogd.README
/dev/initctl
/bin/mountpoint
/bin/pidof
/bin/usleep
# /sbin/bootlogd
/sbin/blogger
/sbin/blogd
/sbin/showconsole
/sbin/setconsole
/sbin/isserial
/sbin/checkproc
/sbin/pidofproc
/sbin/halt
/sbin/init
# /sbin/intr
/sbin/killproc
/sbin/killall5
/sbin/pidof
%ifnarch s390 s390x
/sbin/powerd
/sbin/detectups
/sbin/swsusp
%endif
/sbin/poweroff
/sbin/reboot
/sbin/runlevel
/sbin/startproc
/sbin/start_daemon
/sbin/shutdown
/sbin/start-stop-daemon
/sbin/sulogin
/sbin/telinit
/sbin/startpar
/usr/bin/last
/usr/bin/lastb
/usr/bin/utmpdump
# /usr/include/libblogger.h
# /usr/lib/libblogger.a
%doc %{_mandir}/man1/last.1.gz
%doc %{_mandir}/man1/lastb.1.gz
%doc %{_mandir}/man1/usleep.1.gz
%doc %{_mandir}/man1/mountpoint.1.gz
# %doc %{_mandir}/man8/bootlogd.8.gz
%doc %{_mandir}/man8/blogger.8.gz
%doc %{_mandir}/man8/blogd.8.gz
%doc %{_mandir}/man8/showconsole.8.gz
%doc %{_mandir}/man8/setconsole.8.gz
%doc %{_mandir}/man8/isserial.8.gz
%doc %{_mandir}/man8/checkproc.8.gz
%doc %{_mandir}/man8/pidofproc.8.gz
%doc %{_mandir}/man8/halt.8.gz
%doc %{_mandir}/man5/initscript.5.gz
%doc %{_mandir}/man5/inittab.5.gz
%doc %{_mandir}/man8/init.8.gz
#%doc %{_mandir}/man8/intr.8.gz
%doc %{_mandir}/man8/killall5.8.gz
%doc %{_mandir}/man8/killproc.8.gz
%doc %{_mandir}/man8/pidof.8.gz
%ifnarch s390 s390x
%doc %{_mandir}/man8/swsusp.8.gz
%doc %{_mandir}/man8/powerd.8.gz
%doc %{_mandir}/man8/detectups.8.gz
%endif
%doc %{_mandir}/man8/poweroff.8.gz
%doc %{_mandir}/man8/reboot.8.gz
%doc %{_mandir}/man8/runlevel.8.gz
%doc %{_mandir}/man8/startproc.8.gz
%doc %{_mandir}/man8/start_daemon.8.gz
%doc %{_mandir}/man8/shutdown.8.gz
%doc %{_mandir}/man8/sulogin.8.gz
%doc %{_mandir}/man8/telinit.8.gz
%doc %{_mandir}/man8/startpar.8.gz

%changelog -n sysvinit
* Mon May 15 2006 - werner@suse.de
- Double buffer for /proc/stat for super large systems (#175385)
* Fri May 12 2006 - olh@suse.de
- do not strip startpar and start-stop-daemon binaries
* Thu Mar 16 2006 - werner@suse.de
- Do not rely on timeout after EINTR of select()
* Mon Mar 06 2006 - werner@suse.de
- Handle a second system console from kernel command line (#155292)
- Handle interrupted fifo writes even in shutdown
* Wed Feb 08 2006 - werner@suse.de
- Close high file descriptors even for single jobs (bug #148668)
* Tue Feb 07 2006 - werner@suse.de
- Add boot script for powerd (bug #147660)
- Make powerd handling a pid file
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 21 2005 - werner@suse.de
- Remove not needed binaries on s390
* Mon Dec 05 2005 - od@suse.de
- Created/added patch for option -F (full time) (bug #136978)
* Mon Dec 05 2005 - od@suse.de
- Added options -a, -d and -i to usage message
* Tue Nov 08 2005 - werner@suse.de
- Move version of killproc to 2.11
  * Allow to set a prefix and to disable usleep
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed Nov 02 2005 - werner@suse.de
- Move version of killporc to 2.10
  * Let checkproc really work like killproc if -k is specified.
  This is that if the pid file provided with option -p does
  not fit to a running process checkproc returns 7 for program
  is not running.
* Wed Oct 19 2005 - werner@suse.de
- Update to sysvinit 2.86
* Tue Sep 20 2005 - werner@suse.de
- Make it build even on s390
* Thu Sep 15 2005 - werner@suse.de
- Bounce version of killporc to 2.09
- Add patch of Petter Reinholdtsen for startpar
- Move version of startpar to 0.49
* Thu Sep 01 2005 - mls@suse.de
- do not leak stdout fd to splash process (bug #105999)
* Thu Aug 25 2005 - werner@suse.de
- Apply the new LSB rule for optional pid files only (bug #105845)
* Tue Aug 23 2005 - werner@suse.de
- Enable patch for killproc
* Mon Aug 22 2005 - werner@suse.de
- Avoid zombie processes using startpar to get the next free
  process slot as fast as possible.
- Make killproc be compliant with the newest LSB specs in case if
  the specified pid file does not exist that the daemon is not
  running (bug #105845).
- Add the possibility of using pid numbers instead of a pid file.
* Tue Jun 28 2005 - schwab@suse.de
- Fix typo.
* Wed May 25 2005 - werner@suse.de
- Bounce showconsole to version 1.08
- Bounce killproc to version 2.08
- Avoid signess warning of gcc4
- Use sysv_log() instead of log() to avoid builtin log() of gcc4
* Mon May 23 2005 - werner@suse.de
- Make blogd work even with new root file system behaviour
* Thu May 19 2005 - werner@suse.de
- More fixes for startpar: do not forget active jobs and correct
  exit status handling for the case of stopping jobs.
* Mon Apr 25 2005 - werner@suse.de
- Showconsole: more names no belonging to terminals (bug #80304)
* Tue Apr 05 2005 - werner@suse.de
- startpar: fix endless loop and race condition (bug #74256)
* Sun Apr 03 2005 - aj@suse.de
- Further fixes for GCC4.
* Thu Mar 24 2005 - uli@suse.de
- fixed to build with GCC4
* Wed Mar 09 2005 - mls@suse.de
- startpar: fix splash progress bar if "make" mode is enabled
* Thu Jan 27 2005 - coolo@suse.de
- catch the case the clock moves back in time during boot
* Tue Jan 18 2005 - coolo@suse.de
- adding patch by Takashi to sort the services before inserting them
  in the queue to allow predictable boot orders
- adding patch by me to update the limit more often in case the load
  is too high (30s is just too long)
* Mon Dec 13 2004 - werner@suse.de
- Update to killproc 2.07 which includes the new ignore file
  feature which works like a pid file but the pid found therein
  will be used to ignore all processes and session with that id.
* Fri Dec 10 2004 - werner@suse.de
- Fix bottle neck in startpar calculation of number of parallel
  processes. Now the number of really active processes are used.
* Wed Oct 13 2004 - werner@suse.de
- Do the real fix for the busy loop problem
- Add a dynamic load balance based on the current process load
  and the current memory usage (bug #45191).
* Mon Oct 04 2004 - mls@suse.de
- don't call /sbin/splash if proc was unmounted
* Thu Sep 23 2004 - mls@suse.de
- call splash with $pos:$delta for animated progress bar
- serialize calls to splash program
* Mon Sep 20 2004 - mls@suse.de
- change bootsplash 'S' option handling to new bootsplash design
- also set progressbar on the fly
* Mon Sep 20 2004 - werner@suse.de
- Add some more information about the new make like scheme of
  startpar into its own manual page.
* Thu Sep 09 2004 - werner@suse.de
- startproc: get wait status of already terminated parents on very
  fast systems with high load during boot.
* Thu Sep 02 2004 - werner@suse.de
- Switch to Takashi's startpar version which is fully compatible
  to previous version.
- Fix startpar to not to loop around if global timeout is expired.
- Fix struct timeval asignment in startpar for big endian.
- Add simple loadavg and memory check in startpar to make it
  compatible with UP system with less memory.
* Tue Jun 01 2004 - werner@suse.de
- Remove any other workaround for hanging write
* Tue Jun 01 2004 - werner@suse.de
- Remove ioctl workaround in blogd due it does not work
* Tue Jun 01 2004 - werner@suse.de
- Change signal behaviour of blogd (try to fix bug #40474)
- Add ioctl workaround to blogd for IA64 serial console
- Do not overwrite environment of /sbin/init with comandline
* Fri May 14 2004 - werner@suse.de
- Catch negative return values of safein which may fix bug #34840
* Thu Mar 25 2004 - werner@suse.de
- showconsole:
  * Do not trap into recursive symlink pointers (bug #36918)
  * Do not scan directories in /dev/ with no terminals
* Mon Mar 22 2004 - werner@suse.de
- Fix cut&paste error
* Mon Mar 22 2004 - werner@suse.de
- Support udev within blogd
* Wed Mar 17 2004 - werner@suse.de
- Make clear descritption of -k option of checkproc and fix
  LSB behaviour of killproc (bug #35851)
* Fri Mar 12 2004 - werner@suse.de
- Update of sysvinit 2.85 due better support of kernel 2.6
- Ensure that startpar close the allocated pty's (bug #35763)
* Thu Mar 04 2004 - werner@suse.de
- Command back: use unsigned int for device numbers which works
  on both 32 and 64bit architectures and with old kernels
* Wed Mar 03 2004 - werner@suse.de
- Use largest int type for device numbers
* Fri Feb 27 2004 - werner@suse.de
- Be sure not to fail if startproc is called on fast systems
* Thu Feb 26 2004 - werner@suse.de
- Add waiting routine on inode/dev compare of startproc binary
  and the forked off service (may fix bug #35008)
* Mon Feb 23 2004 - werner@suse.de
- Wait on write if kernel returns with EAGAIN
* Sun Feb 22 2004 - schwab@suse.de
- Fix use of uninitialized variable.
* Tue Jan 13 2004 - werner@suse.de
- Update to showconsole 1.07 now with warn message if /var is ro
- Fix bug #33798: remove group write flag from package docs
* Sat Oct 18 2003 - kukuk@suse.de
- Move mingetty in extra package
* Wed Oct 08 2003 - werner@suse.de
- Use struct ut_tv on 64 bit also for utmp and not only for wtmp
* Wed Oct 08 2003 - werner@suse.de
- Redo the rename of barrier define to mem_barrier.
* Tue Oct 07 2003 - werner@suse.de
- Use the not document struct ut_tv on 64 bit for utmp (bug #32086)
- blogd: Small optimization at ring buffer handling
* Tue Sep 30 2003 - kukuk@suse.de
- Rename barrier define to mem_barrier (to avoid clash with kernel
  headers)
* Tue Sep 09 2003 - werner@suse.de
- Reenable fdatasync in blogd because linuxpthreads are fixed now
* Mon Sep 08 2003 - werner@suse.de
- blogd: Be sure that _REENTRANT is defined for libconsole.c
* Mon Sep 08 2003 - werner@suse.de
- blogd: Simply use locking information on broadcast lock, use
  thread join lock only if the writing thread is going to sleep.
* Fri Sep 05 2003 - werner@suse.de
- Add simple program to check for serial lines on /dev/console to
  replace the wrong serial check during boot with newer kernels
* Tue Sep 02 2003 - werner@suse.de
- Add workaround for blogd crash on x86_64 (bug #29750,29249,29545)
  * Be paranoid and use SysV signal handling to ensure restart
  * Be paranoid and check always the value of FILE pointer flog
* Wed Aug 06 2003 - werner@suse.de
- Change detection of serial versus terminal lines (bug #28490)
* Thu Jul 24 2003 - uli@suse.de
- fixed to build on s390x
* Thu Jul 03 2003 - werner@suse.de
- Make flags transparent in startproc.c
* Thu Jul 03 2003 - werner@suse.de
- Make killproc compliant with newest LSB spec (bug #24909)
* Tue Jun 24 2003 - werner@suse.de
- Ditto
* Mon Jun 23 2003 - werner@suse.de
- Make it build even on s390/s390x
* Mon Jun 23 2003 - kukuk@suse.de
- Remove not packaged files from buildroot.
* Mon Jun 23 2003 - kukuk@suse.de
- Remove compat link for old SPARC kernel
* Tue Jun 17 2003 - werner@suse.de
- Use BuildRoot
- Add startproc (0.42), thanks to Michael
- showconsole: check for environment variable NOTIOCGDEV
* Fri Jun 06 2003 - mfabian@suse.de
- also set the scroll region to the full window (ESC [ r) when
--noclear is not set.
* Thu Jun 05 2003 - mfabian@suse.de
- if the option "--noclear" is not set, don't write a full reset
  because this leaves the unicode mode again if the terminal was in
  unicode mode and it also undos the ESC sequences in CONSOLE_MAGIC
  which are needed for some languages/console-fonts.
  Just put the cursor the home position (ESC [ H) and erase
  everything below the cursor (ESC [ J).
* Thu May 15 2003 - werner@suse.de
- New showconsole/blogd version 1.06
  * Threaded I/O stuff
* Tue Apr 29 2003 - werner@suse.de
- New showconsole/blogd version 1.05
  * Do not overwrite ring buffer memory in case of the fifo
  * Avoid not needed new line in case of carriage return.
  * Read at least 3 seconds at blogd close and flush all I/O
* Mon Apr 14 2003 - werner@suse.de
- Fix script handling of killproc for several kernel versions
  (bug #25767)
* Tue Mar 04 2003 - werner@suse.de
- Correct exit codes of killproc and update manual page about this
* Fri Nov 22 2002 - werner@suse.de
- Be less memory consuming with showconsole 1.04
* Thu Nov 21 2002 - werner@suse.de
- New showconsole 1.03
  * be able to scan dirs under /dev/ in fallback case
* Thu Nov 14 2002 - werner@suse.de
- Update to mingetty 0.9.6s
  * Be sure to get controlling tty
  * Avoid overruns in string handling
* Wed Nov 13 2002 - werner@suse.de
- Update to showconsole 1.02 (a cleanup version)
- Update to mingetty 0.9.5s (s stand for SuSE)
  * New old option for avoiding vcs/vcsa hangup, terminal
  reset, and the usage of the glibc for updating wtmp.
  * Now the default terminal type can be set at compile
  time as an make option.
* Wed Nov 13 2002 - werner@suse.de
- Update to killproc 2.05:
  * Change usleep which now calls sched_yield() for 0 microseconds
* Tue Nov 12 2002 - werner@suse.de
- Update to killproc 2.04:
  * Better symlink handling
  * New dialog prompt handling for services
  * New chroot option.
* Mon Nov 11 2002 - ro@suse.de
- fixed deprecated multiline string literal
* Mon Nov 04 2002 - werner@suse.de
- Use usleep(1) in startproc/killproc/killall5 to force the
  kernel to run the scheduler.
* Fri Aug 16 2002 - werner@suse.de
- Add PreReq (bug #18005)
- Not only blogger and blogd but also set and showconsole together
  with their manual pages.
* Thu Aug 08 2002 - ihno@suse.de
- adding blogger and blogd to s390/s390x
* Fri Aug 02 2002 - froh@suse.de
- removed blogger from s390&s390x package lists
- changed 'ifarch s390' and 'ifarch s390x' to 'ifarch s390 s390x'
* Tue Jul 16 2002 - werner@suse.de
- Expand possible pid string length from 22 to 255
* Fri Jul 05 2002 - werner@suse.de
- Re-enable SIGINT in case or re-reading inittab (bug #16469)
* Thu Jul 04 2002 - werner@suse.de
- Update to killproc 2.03
- Fix pointer for ioctl in libconsole of showconsole
* Tue Apr 30 2002 - werner@suse.de
- Even if no blogd is used on S390x, the libblogger is required
* Mon Apr 29 2002 - werner@suse.de
- Avoid trouble with stupid gcc 3.1 parser and inlined macros.
* Thu Apr 25 2002 - werner@suse.de
- changes on mingetty (new version 0.9.4c)
  * Add support for other TTY devices than virtual console
  * Add nohost patch from Anders ??
* Mon Apr 22 2002 - sf@suse.de
- changed path to libcrypt in Makefile to also compile
  on lib64-archs
* Tue Feb 12 2002 - ro@suse.de
- fix owner/group
* Tue Jan 15 2002 - werner@suse.de
- Different usage messages for startproc and start_daemon (#12692)
* Fri Dec 14 2001 - werner@suse.de
- Skip spinner of fsck/e2fsck in boot logging file
* Mon Oct 01 2001 - werner@suse.de
- Build and install utmpdump
* Mon Oct 01 2001 - werner@suse.de
- Move to SysVinit 2.82 and migrate our patches to 2.82
* Tue Sep 25 2001 - werner@suse.de
- Fix race on waiting on console I/O: just try open log file first
* Thu Sep 20 2001 - werner@suse.de
- Ignore interrupted waitpid(2) calls
* Wed Sep 19 2001 - werner@suse.de
- Add forgotten configuration of powerd
* Wed Sep 19 2001 - werner@suse.de
- Update to powerd 2.0.2 because this version initialize the
  serial interface which seems to be required for kernel 2.4.x
* Fri Sep 07 2001 - werner@suse.de
- startproc: close boot logging FIFO before executing a daemon.
* Wed Sep 05 2001 - werner@suse.de
- blogd: really read the console a half second (bug #9899)
* Tue Sep 04 2001 - werner@suse.de
- Add waitpid() loop nodead lock patch of Andrea
- Add a check in the waitpid() loop to exit on failure
* Thu Aug 30 2001 - werner@suse.de
- Make blogd/showconsole more robustly against errors
- Add some fixes of bug #9898
* Fri Aug 24 2001 - werner@suse.de
- Activate 64 bit file handling interface (large file support)
* Thu Aug 23 2001 - werner@suse.de
- Do not reset terminal device of /dev/console if on a serial line
* Tue Jun 26 2001 - cstein@suse.de
- added a patch for the shutdown messages (see bug #8076)
  (also changed some other strings in shutdown.c)
* Mon Jun 25 2001 - bk@suse.de
- back out read return 0 patch and don't build showconsole on s390x
* Mon Jun 25 2001 - bk@suse.de
- don't include showconsole programs in filelist on s390x
* Fri Jun 22 2001 - bk@suse.de
- blogd: when read return 0, this means EOF - don't loop in this case.
* Tue Jun 12 2001 - bk@suse.de
- don't try to build showconsole on s390x(not supported by kernel)
* Wed May 23 2001 - werner@suse.de
- Do not eat up argv and environ at boot logging in startproc
* Wed May 23 2001 - werner@suse.de
- New killproc version 2.01: now we're able again to find deamons
  based on scripts.
- Make fifo /dev/blog after installation if not exist.
* Tue May 08 2001 - werner@suse.de
- Remove previous barrier() calls but use them on empty loops.
* Wed May 02 2001 - werner@suse.de
- Call umask only once for all init processes (pid 1 and others)
- Add some barrier() against officious compiler
- Rename cpp macro TEST to SYSVINIT_TEST
* Tue Apr 24 2001 - werner@suse.de
- Add default umask 022 at boot time
* Tue Apr 17 2001 - werner@suse.de
- Few minor changes to killproc and co.
* Thu Apr 12 2001 - werner@suse.de
- Disable boot logging and boot message redirection at common
  runlevels if TIOCGDEV is missed.
* Wed Apr 11 2001 - werner@suse.de
- blogd: complain about missing ioctl TIOCGDEV at compile
  and run time
* Wed Apr 04 2001 - werner@suse.de
- After fork reset signal handling of startproc to default for
  common signals
* Thu Mar 22 2001 - werner@suse.de
- Startproc/killproc: handle by RPM moved and deleted exe links
* Wed Mar 21 2001 - werner@suse.de
- Add patch for rlstat() of schowconsole (Andreas Schwab)
* Mon Mar 19 2001 - werner@suse.de
- Startproc/killproc: handle deleted exe links
* Fri Mar 09 2001 - werner@suse.de
- Add forgotten usleep to file list
* Wed Feb 14 2001 - werner@suse.de
- Use sysvinit 2.78.4
- Spilt dif into several patches
- Use static on the most functions of init.c
- Integrate showconsole
- bzip tar's
* Mon Feb 05 2001 - werner@suse.de
- Update of killproc to version 2.00
  * LSB conform exit values
  * Use boot logging provided by showconsole-0.9.tar.gz of aaa_base
  * New program usleep
* Mon Jan 15 2001 - werner@suse.de
- Make strncmp of exe link and fullname working upto MAXNAMLEN
* Tue Jan 09 2001 - werner@suse.de
- Use int instead of kdev_t in bootlogd.c
* Wed Nov 29 2000 - werner@suse.de
- Make tty settings for sulogin working, and enable job control.
- Workaround vor sigfholder (may kernel bug)
* Tue Nov 28 2000 - werner@suse.de
- New and fixed killproc version 1.17
- Change some man pages of sysvinit to fit our new boot scheme
- Enable tty settings for sulogin, should be checked on
  serial console (BTW: SHOULD we DO that?).
* Thu Nov 16 2000 - ro@suse.de
- fixed install for killproc
* Wed Nov 15 2000 - werner@suse.de
- New killproc version (1.16)
  * base name allowed
  * protected the parent of the parent
  * provide pidofproc (a link to checkproc for a verbose checkproc)
  * provide stat_daemon (a link to statproc)
* Mon Oct 23 2000 - werner@suse.de
- changes on mingetty (new version 0.9.4b)
  * On ro files systems chmod/chown shouldn't force an exit.
  * Therefore we need a warn message.
  * Due to the lack of a revoke system call we signal
  all file holders including the mmaping processes.
* Wed Jun 28 2000 - bk@suse.de
- enabled reboot on s390
* Sun Jun 25 2000 - bk@suse.de
- removed some not needed files on s390
* Tue May 30 2000 - werner@suse.de
- Correct path of powerstatus (/var/run/powerstatus) of powerd
* Wed May 24 2000 - garloff@suse.de
- Added minimal docu for swsusp.
* Tue May 23 2000 - werner@suse.de
- New killproc version 1.15 reading exe link for kernel 2.2
* Wed May 17 2000 - garloff@suse.de
- Added software-suspend support to init.
- login option of mingetty limits logname to 42 chars.
* Wed May 10 2000 - garloff@suse.de
- Working patch for mingetty to support devfs.
* Wed May 10 2000 - garloff@suse.de
- Preliminary patch for devfs.
* Wed May 10 2000 - garloff@suse.de
- Make it more secure by passing the logname as one arg and by
  checking for a leading '-'. The manpage tells the sysadmin
  about possible risks now.
* Tue May 09 2000 - garloff@suse.de
- Added new options --login and --logopts to mingetty, so you may
  create an inittab entry using ssh for login or similar
* Tue Mar 07 2000 - werner@suse.de
- Ignore SIGTERM for syslogd because this daemon use that signal
  to control the parent process.
- Make read/write of /etc/ioctrl.save EINTR safe
- Use defined special character given from <termios.h>
- No flow control (-ixon), ignore break (ignbrk), and make nl/cr
  more usable (sane).
- Set the terminal line immediately
* Mon Mar 06 2000 - werner@suse.de
- Avoid script handling for kernel threads
* Sun Mar 05 2000 - werner@suse.de
- If open fails -1 is returned (close bug #2200)
* Fri Mar 03 2000 - kukuk@suse.de
- Create /usr/bin/shutdown link for UltraSPARC kernel
* Mon Feb 21 2000 - werner@suse.de
- New version of killproc (1.1.4): fix of script handling
- New version of sysvinit (2.78) with some bug fixes
* Thu Dec 16 1999 - werner@suse.de
- New version of killproc 1.13
  * Bug fix in handling hard links for daemons using pid files
  * Bug fix: PROC pointers should not be volatile
  * Shorten nonsleeps for none daemon programs
* Tue Nov 09 1999 - werner@suse.de
- Avoid trouble with hard links of binaries
* Sun Nov 07 1999 - kukuk@suse.de
- mingetty: Add 1900 to tm_year, it contains the years since 1900.
* Wed Nov 03 1999 - werner@suse.de
- New killproc 1.12
  * Fix option -q of startproc
  * Fix Bug in wait4 handling of startproc
  * Fix script detection: do not handle startproc, killproc, and
  checkproc as script interpreters
* Mon Nov 01 1999 - werner@suse.de
- Add a patch from Marius
* Fri Oct 29 1999 - werner@suse.de
- powerd should tell init if status is OK again
* Thu Sep 30 1999 - werner@suse.de
- New killproc version 1.11
  * Some small speedups
  * Minor spell correction in the manual pages
  * Allow login onto tty's
- Use RPM_OPT_FLAGS throughout
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 07 1999 - werner@suse.de
- Enable mingetty resetting the terminal
* Fri Aug 06 1999 - werner@suse.de
- New killproc-1.10
  * startproc which is able to sleep
  * better zombie handling
- killproc doesn't ignore zombies
- checkproc ignores zombies without `-z' by default
- startproc checks zombie state of child while sleeping
* Tue Jul 06 1999 - werner@suse.de
- Fix pts problem of shutdown (dowall.c)
* Thu Jun 24 1999 - werner@suse.de
- Add lastb and its manual page
* Wed Jun 23 1999 - werner@suse.de
- Integrate newest mingetty patch of jurix
- Update killproc version 1.9
  * be more sufficient in setting user and/or group id
- Update to sysvinit 2.76
  * Integrate newest sysvinit patch of jurix into
  our patch. The command last is part of sysvinit.
* Tue Jun 22 1999 - werner@suse.de
- Update to new killproc version 1.8
  * startproc knows about setsid to set up a new process session
  for the new task (option -s)
  * startproc can change the effective uid and/or gid for a process
  (option -u uid and/or -g gid)
- Make spec file more handy for newer versions.
* Mon May 03 1999 - werner@suse.de
- Enable killproc-1.7.dif in specs file
* Mon May 03 1999 - werner@suse.de
- killproc shouldn't complain a disappeared job/thread
* Mon Apr 19 1999 - werner@suse.de
- mingetty: reset not only /dev/tty<line> but /dev/vcs<line> and
  /dev/vcsa<line> also
* Fri Feb 26 1999 - werner@suse.de
- New killproc vesion 1.7
  * read of /proc/ is secure against EINTR
  * handle script names ala `bash -x /usr/bin/myscript -y'
* Mon Jan 18 1999 - werner@suse.de
- Make killproc more smart, e.g. faster
- Make startproc alpah compatible
* Thu Dec 10 1998 - ro@suse.de
- added last manpage
- link init static
* Tue Dec 08 1998 - ro@suse.de
- use last from sysvinit-2.75
* Mon Nov 30 1998 - werner@suse.de
- Close some races, unknowns, and difficulties in killproc tools
* Tue Nov 24 1998 - werner@suse.de
- Don't blame boot script with killproc having same name as the
  controlled daemon ... new kernel doesn't need this.
* Mon Nov 16 1998 - ro@suse.de
- install man-page for powerd
* Fri Nov 13 1998 - werner@suse.de
- Integrate powerd-2.0 for a replacment of the obsolate old one
* Mon Nov 02 1998 - ro@suse.de
- update to killproc-1.6
* Thu Oct 22 1998 - ro@suse.de
- update to killproc-1.5  (take 2)
* Thu Oct 08 1998 - ro@suse.de
- killproc: libinit.c output of "can't open pid file" only "#if DEBUG"
* Tue Oct 06 1998 - ro@suse.de
- updated killproc to get rid of a memleak
* Mon Oct 05 1998 - ro@suse.de
- new version: killproc-1.4
* Fri Jul 03 1998 - werner@suse.de
- added killproc-1.2, a replacement of the old killproc
* Wed May 06 1998 - florian@suse.de
- added an option to killproc to also kill process groups:
  killproc [-SIG] [-g] prog
* Tue Nov 04 1997 - mantel@suse.de
- creation of dev/initctl fixed
* Thu Oct 23 1997 - ro@suse.de
- ready for autobuild
